package main

import (
	"os"
	"strings"
)

// Read a secret file and return its (cleaned) content.
func readSecret(path string) (string, error) {
	content, err := os.ReadFile(path)
	if err != nil {
		return "", err
	}

	return strings.Trim(string(content), "\n\r "), nil
}
